#!/usr/bin/env python3

import sys
from pprint import pprint
from collections import OrderedDict,Counter
import itertools as it
import datetime

from collapsetree import CollapseTree
from sequence import sequencegen

def main():
    c = CollapseTree(sequencegen(sys.stdin,nlim=10))
    d=c.fixedseqs()
    for f in d:
        f=f[1]
        rec = f.line.split('\t')
        rec[10]=f.seq
        assert(f.seqid==rec[0])
        rec[-2]=str(f.conscount)
        rec.append(str(f.dupcount))
        print('\t'.join(rec))
        vjcall = rec[7]+'--'+rec[9]
        print(f.seqid,vjcall,f.key)

if __name__=="__main__":
    main()
