#!/usr/bin/env python3

import sys
from pprint import pprint
from collections import OrderedDict,Counter
import itertools as it
import datetime

class Sequence:
    def __init__(self,line,val=None,seq=None,seqid=None,conscount=None,dupcount=1,key=None):
        rec = line.split('\t')
        self.line = line
        if seqid is None: seqid = rec[0]
        self.seqid = seqid
        if conscount is None: conscount = int(rec[-2])
        self.conscount = conscount
        self.dupcount = dupcount
        if seq is None: seq = rec[10].replace('-','')
        self.seq = seq
        if val is None: val = (-seq.count('N'),self.conscount)
        self.val=val
        if key is None: key = Counter([rec[7]+'--'+rec[9]])
        self.key = key

    def __repr__(self):
        return self.line

    def copy(self):
        return Sequence(self.line,self.val,self.seq,self.seqid,self.conscount,self.dupcount,self.key)
        
def sequencegen(src,nlim):
    rec = None
    seq = ''
    fseq = None
    next(src) #skip header line
    for line in src:
        line = line.strip()
        s = line.split('\t')
        if s[10].count('N') <= nlim:
            yield Sequence(line)

if __name__=="__main__":
    pass
